Package javax.help

# Class TOCItem

java.lang.Object
javax.help.TreeItem
javax.help.TOCItem

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SearchTOCItem`

public class TOCItem extends TreeItem
A class for individual TOC items

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.help.TreeItem

`COLLAPSE, DEFAULT_EXPANSION, EXPAND, locale`

## Constructor Summary

Constructors
Constructor
Description
`TOCItem()`
Creates a default TOCItem.
`TOCItem(Map.ID id, Map.ID imageID, Locale locale)`
Creates a TOCItem with a default HelpSet based on its ID.
`TOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)`
Creates a TOCItem.

## Method Summary

Modifier and Type
Method
Description
`Map.ID`
`getImageID()`
Returns the image for this TOCItem.

### Methods inherited from class javax.help.TreeItem

`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, getURL, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TOCItem

public TOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)
Creates a TOCItem.

Parameters:
  `id` - ID for the item. A null ID is valid.
  `hs` - The HelpSet scoping this item. In almost all cases this is the same as the HelpSet of the id field. A null ID is valid.
  `image` - The ID for image to be displayed for this item. A null image is valid.
  `lang` - The locale for this item. A null locale indicates the default locale.

### TOCItem

public TOCItem(Map.ID id, Map.ID imageID, Locale locale)
Creates a TOCItem with a default HelpSet based on its ID.

Parameters:
  `id` - ID for the item. The ID can be null.
  `image` - The image to be displayed for this item.
  `lang` - The locale for this item

### TOCItem

public TOCItem()
Creates a default TOCItem.

## Method Details

### getImageID

public Map.ID getImageID()
Returns the image for this TOCItem.